﻿/**Begin D:\PDM_UPGRADE\PDM1\SCF_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCF_TYPE_L', 'T_SCF_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_TYPE_L') CREATE INDEX IDX_SCF_TYPE_L ON T_SCF_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCF_FUNDER', 'T_SCF_FUNDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FUNDER') CREATE INDEX IDX_SCF_FUNDER ON T_SCF_FUNDER ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_SCF_FUNDER_BANKENTRY', 'T_SCF_FUNDER_BANKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FUNDER_BANKENTRY') CREATE INDEX IDX_SCF_FUNDER_BANKENTRY ON T_SCF_FUNDER_BANKENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_SCF_FUNDER_L', 'T_SCF_FUNDER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SCF_FUNDER_L') CREATE INDEX IDX_T_SCF_FUNDER_L ON T_SCF_FUNDER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCF_FUNDER_ORGENTRY', 'T_SCF_FUNDER_ORGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FUNDER_ORGENTRY') CREATE INDEX IDX_SCF_FUNDER_ORGENTRY ON T_SCF_FUNDER_ORGENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_SCF_PROVIDER', 'T_SCF_PROVIDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_PROVIDER') CREATE INDEX IDX_SCF_PROVIDER ON T_SCF_PROVIDER ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_SCF_PROVIDER_L', 'T_SCF_PROVIDER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SCF_PROVIDER_L') CREATE INDEX IDX_T_SCF_PROVIDER_L ON T_SCF_PROVIDER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCF_TYPE', 'T_SCF_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_TYPE') CREATE INDEX IDX_SCF_TYPE ON T_SCF_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_SCF_FINCREDITBILL', 'T_SCF_FINCREDITBILL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINCREDITBILL_NO') CREATE INDEX IDX_FINCREDITBILL_NO ON T_SCF_FINCREDITBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINCREDITBILL_ORG') CREATE INDEX IDX_FINCREDITBILL_ORG ON T_SCF_FINCREDITBILL ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINCREDITBILL_CREATETIME') CREATE INDEX IDX_FINCREDITBILL_CREATETIME ON T_SCF_FINCREDITBILL ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINCREDITBILL_CLUS') CREATE  CLUSTERED INDEX IDX_FINCREDITBILL_CLUS ON T_SCF_FINCREDITBILL ( FBILLSTATUS ,FCREATETIME ,FMAKEDOCDATE ,FBIZSTATUS );


 EXEC P_ALTERPK 'PK_T_SCF_FINCREDITBILL_ENTRY', 'T_SCF_FINCREDITBILL_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FINCREDITBILL_ENTRY') CREATE INDEX IDX_SCF_FINCREDITBILL_ENTRY ON T_SCF_FINCREDITBILL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_SCF_FINRECBILL', 'T_SCF_FINRECBILL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINRECBILL_NO') CREATE INDEX IDX_FINRECBILL_NO ON T_SCF_FINRECBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINRECBILL_ORG') CREATE INDEX IDX_FINRECBILL_ORG ON T_SCF_FINRECBILL ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINRECBILL_CLUS') CREATE  CLUSTERED INDEX IDX_FINRECBILL_CLUS ON T_SCF_FINRECBILL ( FBILLSTATUS ,FCREATETIME ,FORGID ,FSTARTDATE );


 EXEC P_ALTERPK 'PK_T_SCF_FINCREDITBILL_L', 'T_SCF_FINCREDITBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FINCREDITBILL_L') CREATE INDEX IDX_SCF_FINCREDITBILL_L ON T_SCF_FINCREDITBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCF_FINRECBILL_L', 'T_SCF_FINRECBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FINRECBILL_L') CREATE INDEX IDX_SCF_FINRECBILL_L ON T_SCF_FINRECBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SCF_FINDEBTSBILL', 'T_SCF_FINDEBTSBILL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINDEBTSBILL_NO') CREATE INDEX IDX_FINDEBTSBILL_NO ON T_SCF_FINDEBTSBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINDEBTSBILL_STATUS') CREATE INDEX IDX_FINDEBTSBILL_STATUS ON T_SCF_FINDEBTSBILL ( FBILLSTATUS ,FBIZSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINDEBTSBILL_ORG') CREATE INDEX IDX_FINDEBTSBILL_ORG ON T_SCF_FINDEBTSBILL ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINDEBTSBILL_CLUS') CREATE  CLUSTERED INDEX IDX_FINDEBTSBILL_CLUS ON T_SCF_FINDEBTSBILL ( FBIZSTATUS ,FSTARTDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINDEBTSBILL_APPLY') CREATE INDEX IDX_FINDEBTSBILL_APPLY ON T_SCF_FINDEBTSBILL ( FSCFAPPLYBILLID );


 EXEC P_ALTERPK 'PK_SCF_FINDEBTSBILL_E', 'T_SCF_FINDEBTSBILL_E', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINDEBTSBILL_E_STATUS') CREATE  CLUSTERED INDEX IDX_FINDEBTSBILL_E_STATUS ON T_SCF_FINDEBTSBILL_E ( FONLINESTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINDEBTSBILL_E_XIE') CREATE INDEX IDX_FINDEBTSBILL_E_XIE ON T_SCF_FINDEBTSBILL_E ( FPROTOCOLNO );


 EXEC P_ALTERPK 'PK_SCF_FINDEBTSBILL_L', 'T_SCF_FINDEBTSBILL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINDEBTSBILL_L') CREATE  CLUSTERED INDEX IDX_FINDEBTSBILL_L ON T_SCF_FINDEBTSBILL_L ( FID );


 EXEC P_ALTERPK 'PK_SCF_FINREPAYBILL', 'T_SCF_FINREPAYBILL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FINREPAYBILL_NO') CREATE INDEX IDX_SCF_FINREPAYBILL_NO ON T_SCF_FINREPAYBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FINREPAYBILL_STATUS') CREATE INDEX IDX_SCF_FINREPAYBILL_STATUS ON T_SCF_FINREPAYBILL ( FBILLSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FINREPAYBILL_ORG') CREATE  CLUSTERED INDEX IDX_SCF_FINREPAYBILL_ORG ON T_SCF_FINREPAYBILL ( FORGID ,FBIZDATE );


 EXEC P_ALTERPK 'PK_SCF_FINREPAYBILL_L', 'T_SCF_FINREPAYBILL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_FINREPAYBILL_L_ID') CREATE  CLUSTERED INDEX IDX_SCF_FINREPAYBILL_L_ID ON T_SCF_FINREPAYBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_SCF_DEBTSAPPLYBILL', 'T_SCF_DEBTSAPPLYBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_DEBTSAPPLYBILL_NO') CREATE INDEX IDX_SCF_DEBTSAPPLYBILL_NO ON T_SCF_DEBTSAPPLYBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_DEBTSAPPLYBILL_CT') CREATE INDEX IDX_SCF_DEBTSAPPLYBILL_CT ON T_SCF_DEBTSAPPLYBILL ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_DEBTSAPPLYBILL_ORG') CREATE INDEX IDX_SCF_DEBTSAPPLYBILL_ORG ON T_SCF_DEBTSAPPLYBILL ( FORGID );


 EXEC P_ALTERPK 'PK_T_SCF_DEBTSAPPLYBILL_E', 'T_SCF_DEBTSAPPLYBILL_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_DEBTSAPPLYBILL_E') CREATE INDEX IDX_SCF_DEBTSAPPLYBILL_E ON T_SCF_DEBTSAPPLYBILL_E ( FSUBMITTIME ,FCONFIRMTIME ,FBACKTIME ,FRETURNDRAFTDATE );


 EXEC P_ALTERPK 'PK_T_SCF_DEBTSAPPLYBILL_L', 'T_SCF_DEBTSAPPLYBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCF_DEBTSAPPLYBILL_L') CREATE INDEX IDX_SCF_DEBTSAPPLYBILL_L ON T_SCF_DEBTSAPPLYBILL_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\SCF_constraint.sql **/
