﻿/**Begin D:\PDM_UPGRADE\PDM1\SCF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_TYPE_L')
 CREATE TABLE T_SCF_TYPE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FUNDER')
 CREATE TABLE T_SCF_FUNDER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FSCFTYPEID BIGINT DEFAULT 0 NOT NULL,
FFACTORINGTYPEID CHAR(1) DEFAULT ' ' NOT NULL,
FSCFPROVIDERID BIGINT DEFAULT 0 NOT NULL,
FCONTACTS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTACTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPROVIDER CHAR(1) DEFAULT '0' NOT NULL,
FISBANK CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FUNDER_BANKENTRY')
 CREATE TABLE T_SCF_FUNDER_BANKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FUNDER_L')
 CREATE TABLE T_SCF_FUNDER_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FUNDER_ORGENTRY')
 CREATE TABLE T_SCF_FUNDER_ORGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_PROVIDER')
 CREATE TABLE T_SCF_PROVIDER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_PROVIDER_L')
 CREATE TABLE T_SCF_PROVIDER_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_TYPE')
 CREATE TABLE T_SCF_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FSETTLETTYPEID BIGINT DEFAULT 0 NOT NULL,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINCREDITBILL')
 CREATE TABLE T_SCF_FINCREDITBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMAKEDOCDATE DATETIME,
FFINRECID BIGINT DEFAULT 0 NOT NULL,
FRECEIPTID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMITORID BIGINT DEFAULT 0 NOT NULL,
FCOMMITDATE DATETIME,
FCONFIRMATIONDATE DATETIME,
FCONFIRMATIONORID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMATIONORGID BIGINT DEFAULT 0 NOT NULL,
FBIZSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYACCTID BIGINT DEFAULT 0 NOT NULL,
FAPPLYBANKID BIGINT DEFAULT 0 NOT NULL,
FFINANCENATURE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFUNDERID BIGINT DEFAULT 0 NOT NULL,
FFUNDERBANKID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROTOCOL NVARCHAR(255) DEFAULT ' ',
FREMARK NVARCHAR(1000) DEFAULT ' ',
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FRECDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINANCETYPEID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINCREDITBILL_ENTRY')
 CREATE TABLE T_SCF_FINCREDITBILL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTFINAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ',
FCONTACTNO NVARCHAR(255) DEFAULT ' ',
FCONTACTNAME NVARCHAR(255) DEFAULT ' ',
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICENUMBER_TAG NCLOB DEFAULT ' ',
FINVOICENUMBER NVARCHAR(255) DEFAULT ' ',
FPAYEROTHER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYERID BIGINT DEFAULT 0 NOT NULL,
FPAYERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINRECBILL')
 CREATE TABLE T_SCF_FINRECBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT 'A ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINANCETYPEID BIGINT DEFAULT 0 NOT NULL,
FFINCREDITBILLID BIGINT DEFAULT 0 NOT NULL,
FAPPLYACCTID BIGINT DEFAULT 0 NOT NULL,
FAPPLYBANKID BIGINT DEFAULT 0 NOT NULL,
FFINANCENATURE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFUNDERID BIGINT DEFAULT 0 NOT NULL,
FFUNDERBANKID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERID BIGINT DEFAULT 0 NOT NULL,
FRECDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPROTOCOL NVARCHAR(255) DEFAULT ' ',
FREMARK NVARCHAR(1000) DEFAULT ' ',
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINCREDITBILL_L')
 CREATE TABLE T_SCF_FINCREDITBILL_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINRECBILL_L')
 CREATE TABLE T_SCF_FINRECBILL_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINDEBTSBILL')
 CREATE TABLE T_SCF_FINDEBTSBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSCFTYPEID BIGINT DEFAULT 0 NOT NULL,
FSCFAPPLYBILLID BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FORGCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYETREPAYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOREPAYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYDATE DATETIME,
FBIZDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFINTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECERID BIGINT DEFAULT 0 NOT NULL,
FRECER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRECERACCT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFUNDERID BIGINT DEFAULT 0 NOT NULL,
FFUNDERBANKID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANDATE DATETIME,
FCONTRACTNUM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDRAFTNO NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDRAFTNO_TAG NCLOB,
FDRAFTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYACCTID BIGINT DEFAULT 0 NOT NULL,
FPAYBANKID BIGINT DEFAULT 0 NOT NULL,
FRECERBANKID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FTRADECHANNEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINDEBTSBILL_E')
 CREATE TABLE T_SCF_FINDEBTSBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FONLINESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FONLINEBACKINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRETURNDRAFTDATE DATETIME,
FAPPLYPAYACCTID BIGINT DEFAULT 0 NOT NULL,
FAPPLYPAYBANKID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMORGID BIGINT DEFAULT 0 NOT NULL,
FRETURNDRAFTREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBMITERID BIGINT DEFAULT 0 NOT NULL,
FREPAYERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMTIME DATETIME,
FSUBMITTIME DATETIME,
FTRANSFER CHAR(1) DEFAULT '0' NOT NULL,
FAUTOPAY CHAR(1) DEFAULT '0' NOT NULL,
FURGENT CHAR(1) DEFAULT '0' NOT NULL,
FPROTOCOLNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTRACTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRECERBEBANKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINDEBTSBILL_L')
 CREATE TABLE T_SCF_FINDEBTSBILL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINREPAYBILL')
 CREATE TABLE T_SCF_FINREPAYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSCFTYPEID BIGINT DEFAULT 0 NOT NULL,
FFINDEBTSBILLID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYPAYACCTID BIGINT DEFAULT 0 NOT NULL,
FAPPLYPAYBANKID BIGINT DEFAULT 0 NOT NULL,
FPAYACCTID BIGINT DEFAULT 0 NOT NULL,
FPAYBANKID BIGINT DEFAULT 0 NOT NULL,
FFINTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECERID BIGINT DEFAULT 0 NOT NULL,
FRECER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRECERACCT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECERBANKID BIGINT DEFAULT 0 NOT NULL,
FRECERBEBANKID BIGINT DEFAULT 0 NOT NULL,
FFUNDERID BIGINT DEFAULT 0 NOT NULL,
FFUNDERBANKID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FGENAPPLYPAYBILL CHAR(1) DEFAULT '0' NOT NULL,
FTRADECHANNEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROTOCOLNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBMITERID BIGINT DEFAULT 0 NOT NULL,
FBANKCHECKFLAG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBMITTIME DATETIME,
FMAKEDATE DATETIME,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_FINREPAYBILL_L')
 CREATE TABLE T_SCF_FINREPAYBILL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_DEBTSAPPLYBILL')
 CREATE TABLE T_SCF_DEBTSAPPLYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBIZDATE DATETIME,
FSCFTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPAYMENTID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYPAYACCTID BIGINT DEFAULT 0 NOT NULL,
FAPPLYPAYBANKID BIGINT DEFAULT 0 NOT NULL,
FFINTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRECERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECERID BIGINT DEFAULT 0 NOT NULL,
FRECER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECERACCT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFUNDERID BIGINT DEFAULT 0 NOT NULL,
FFUNDERBANKID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERID BIGINT DEFAULT 0 NOT NULL,
FTRANSFER CHAR(1) DEFAULT '0' NOT NULL,
FAUTOPAY CHAR(1) DEFAULT '0' NOT NULL,
FURGENT CHAR(1) DEFAULT '0' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANDATE DATETIME,
FPROTOCOLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDRAFTNO_TAG NCLOB DEFAULT ' ',
FDRAFTNO NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FDRAFTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FRECERBANKID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRECERBEBANKID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_DEBTSAPPLYBILL_E')
 CREATE TABLE T_SCF_DEBTSAPPLYBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBMITER BIGINT DEFAULT 0 NOT NULL,
FSUBMITTIME DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMTIME DATETIME,
FBACKERID BIGINT DEFAULT 0 NOT NULL,
FBACKTIME DATETIME,
FCONFIRMORGID BIGINT DEFAULT 0 NOT NULL,
FBACKREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRETURNDRAFTREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRETURNDRAFTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCF_DEBTSAPPLYBILL_L')
 CREATE TABLE T_SCF_DEBTSAPPLYBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\SCF_table.sql **/
